class httpd::config {
  file_line { 'httpd_port':
    ensure            => present,
    path              => '/etc/httpd/conf/httpd.conf',
    line              => 'Listen 8080',
    match             => '^Listen ',
#    match_for_absence => true,
    notify            => Service['httpd'],
  }

  service { 'httpd':
    ensure  => 'running',
    enable  => true,
    require => Package['httpd'],
  }
}
